Subject: Re: bug#78297: [PATCH electronics-team] gnu: Add python-pydigitalwavetools.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 13 May 2025 09:05:13 +0900

Hi Cayetano,

Cayetano Santos <[email-masked]> writes:

>>lun. 12 mai 2025 at 21:34, Maxim Cournoyer <[email-masked]> wrote:
>
>> Hi Cayetano,
>>
>> Cayetano Santos <[email-masked]> writes:
>>
>>> From: Cayetano Santos via Guix-patches via <[email-masked]>
>>>
>>> * gnu/packages/electronics.scm (python-pydigitalwavetools): New variable.
>>
>> [...]
>>
>>> +    (home-page "https://github.com/Nic30/pyDigitalWaveTools/")
>>> +    (synopsis "Library to manipulate digital wave files.")
>>> +    (description
>>> +     "Pydigitalwavetools is a Python library to parse, write and format
>>> +@acronym{VCD, Value Champ Dump} and other digital wave files.")
>>> +    (license license:expat)))
>>
>> Are you sure about VCD being 'Value Champ Dump' and not Video CD as I
>> thought?  The later seemed more sensical to me, this being about some
>> digital audio files :-).
>
> Yes. Where exactly do you see any reference to audio in here ?

I simply assumed it was, with all the Wave references in the tool name
and description (I assumed it had to do with the WAV audio format).

> See, for example
>
>     https://github.com/Nic30/pyDigitalWaveTools/?tab=readme-ov-file#related-open-source

Thanks.  I see they define VCD as 'Value Change Dump' though, not 'Value
Champ Dump'.  After reading [0], I now understand that VCDs are "a
standardized ASCII format used to store simulation data from Verilog and
other hardware description languages".  Perhaps that could be added to
the description; as it was useful to provide proper context to me.  We
should assume people reading these package descriptions know nothing
about the local domain jargon.

[0]  https://www.chipverify.com/verilog/verilog-vcd

> This is what VCD is all about:
>
>     https://pyvcd.readthedocs.io/en/latest/vcd.gtkw.html
>
>> You missed my earlier suggestion to turn 'wave' or 'wav' into WAV'.
>
> Yes, just because this has nothing to do with WAV audio format. Is this
> comment still relevant for v3 ?

I see.  Not relevant then.

-- 
Thanks,
Maxim